1. Task Status
BeatAPI
  • Quick Start
  • BeatAPI Realtime Video API
  • Music Video API
    • Create Video
      • Create Music Video
    • Advanced Editing
      • Edit Shot
      • Get Shot Media
      • Compose Video
  • Ecommerce Video API
    • Create Ecommerce Video
  • Reference
    • API Overview
      • List launch workflows
    • Task Status
      • Poll task status
        GET
    • Usage & Limits
      • Get account usage and concurrency
    • Upload Files
      • Upload a file for workflow inputs
    • Webhooks
      • List webhook endpoints
      • Create a webhook endpoint
      • Get a webhook endpoint
      • Update a webhook endpoint
      • Delete a webhook endpoint
  • Realtime Video API
    • Create a realtime browser session
    • Get a realtime session
    • Close a realtime session
  1. Task Status

Poll task status

GET
/v1/tasks/{task_id}
Poll every 5-10 seconds. This endpoint allows up to 120 requests per minute per API key.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

๐ŸŸข200
application/json
Task status
Bodyapplication/json

๐ŸŸ 404
๐ŸŸ 401Unauthorized
๐ŸŸ 429RateLimited
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.beatapi.io/v1/tasks/task_8K2qA' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Accepted and waiting
{
    "data": {
        "id": "task_8K2qA",
        "object": "task",
        "workflow": "music-video",
        "status": "queued",
        "stage": "queued",
        "storyboard": {
            "shots": []
        },
        "created_at": 1782210000,
        "updated_at": 1782210000,
        "completed_at": null,
        "output": null,
        "usage": {
            "credits_reserved": 75,
            "credits_charged": 75,
            "billable_duration_seconds": 15,
            "credits_settled": 0,
            "credits_refunded": 0
        },
        "request_id": "req_abc123",
        "error_code": null,
        "error_message": null
    }
}
Modified atย 2026-07-31 15:10:04
Previous
List launch workflows
Next
Get account usage and concurrency
Built with